<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema">
	<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/">
		<html>
			<head>
				<title>Schema Documentation</title>
			</head>
			<body>
				<h1>Schema Documentation</h1>
				<xsl:apply-templates select="//xs:documentation"/>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="xs:documentation">
		<h2><xsl:value-of select="local-name (../..)" />: <xsl:value-of select="../../@name"/></h2>
		<xsl:apply-templates />
	</xsl:template>
	<xsl:template match="*">
		<xsl:copy-of select="."/>
	</xsl:template>
</xsl:stylesheet>